using System.ComponentModel;

namespace DataSharing.Share.Enums
{
    /// <summary>
    /// 材料类型
    /// </summary>
    public enum EMaterialType
    {
        /// <summary>
        /// 受理材料   10：受理材料，20：环节材料，30：结果材料，40：回访评价材料，50：督办材料，60：知识库材料
        /// </summary>
        [Description("受理材料")]
        Acceptance = 10,

        /// <summary>
        /// 环节材料
        /// </summary>
        [Description("环节材料")]
        Process = 20,

        /// <summary>
        /// 结果材料
        /// </summary>
        [Description("结果材料")]
        Result = 30,

        /// <summary>
        /// 回访评价材料
        /// </summary>
        [Description("回访评价材料")]
        Visit = 40,

        /// <summary>
        /// 督办材料
        /// </summary>
        [Description("督办材料")]
        Supervise = 50,

        /// <summary>
        /// 知识库材料
        /// </summary>
        [Description("知识库材料")]
        Knowledge = 60,
    }
}
